package com.zd.laboratory.domain.vo;

import cn.hutool.core.util.StrUtil;
import com.zd.common.core.enums.HazardTypeEnum;
import com.zd.common.security.utils.DictUtils;
import com.zd.laboratory.domain.LabHazard;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 实验室人数在线VO
 *
 * @Author: zhoupan
 * @Date: 2021/09/07/15:17
 * @Description:
 */
@ApiModel("实验室人数在线VO")
public class LabOnlineSubVO {

    @ApiModelProperty("实验室名称")
    private String name;

    @ApiModelProperty("所属院系")
    private String groupDeptName;

    @ApiModelProperty("安全分级")
    private String classifiedName;

    @ApiModelProperty("安全分类")
    private String typeName;

    @ApiModelProperty("在线人数")
    private Integer online;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGroupDeptName() {
        return groupDeptName;
    }

    public void setGroupDeptName(String groupDeptName) {
        this.groupDeptName = groupDeptName;
    }

    public String getClassifiedName() {
        return classifiedName;
    }

    public void setClassifiedName(String classifiedName) {
        this.classifiedName = classifiedName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }
}
